Bug 197628 - php mail() function disabled by SELinux
php mail() function disabled by SELinux
Status: CLOSED DUPLICATE of bug 197627
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Depends On:
  Show dependency treegraph
Reported: 2006-07-04 19:33 EDT by Kirk Smith
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-11 12:25:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kirk Smith 2006-07-04 19:33:35 EDT
Description of problem:
Use of the mail function found in php does not send mail.  selinux reports a 
avc: denied { execute } .. comm="httpd" name="bash" .....
The mail() built-in function should work by default in PHP.  It is commonly 
used by a number of PHP based web services.  If the internal function was made 
to avoid the use of bash, a reasonable SELinux security policy could be 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Daniel Walsh 2006-07-11 12:25:30 EDT

*** This bug has been marked as a duplicate of 197627 ***

Note You need to log in before you can comment on or make changes to this bug.